Subject: bug#65609: 30.0.50; inhibit-eol-conversion breaks revert-buffer

From: "Herbert J. Skuhra" <[email-masked]>
Date: Wed, 30 Aug 2023 19:06:14 +0200

On Wed, 30 Aug 2023 15:26:35 +0200, Eli Zaretskii wrote:
> 
> > From: Andrew Scott <[email-masked]>
> > Date: Tue, 29 Aug 2023 16:45:39 +0100
> > 
> > It appears that inhibit-eol-conversion breaks insert-file-contents's
> > replace functionality when a change was made in the middle of the file
> > to be reverted as the file contents get duplicated in the buffer. The
> > issue can be reproduced on a fresh Emacs with a file named bug.el with
> > contents:
> > 
> >     ;; 1. Launch Emacs: nix run emacs-overlay#emacs-git -- bug.el -Q --load bug.el
> >     ;; 2. Outside of Emacs, add text in below empty line:
> >     ;; 3. In Emacs, revert-buffer
> > 
> >     (setq inhibit-eol-conversion t)
> > 
> > The contents of the buffer after revert-buffer:
> > 
> >     ;; 1. Launch Emacs: nix run emacs-overlay#emacs-git -- bug.el -Q --load bug.el
> >     ;; 2. Outside of Emacs, add text in below empty line:
> >     ;; 3. In Emacs, revert-buffer
> >     foo
> >     (setq inhibit-eol-conversion t)
> > 
> >     (setq inhibit-eol-conversion t)
> 
> Thanks for an easy test case.  We are reading too much from the file
> on disk when reverting in this case.
> 
> Po Lu, I think we need the patch below to fix this.  Gerd, does this
> solve your problem as well, including the abort during bootstrap?
> Herbert, I think this could also be related to the problems you see,
> so please try the patch below.

Thanks. Unfortunately this change does not resolve my issue opening
org-files. I still have to revert 4e8d579f3da.

--
Herbert